<?php
session_start();
require("../../database/dbConection.php");

$whereStatus  = $_POST['statusUsuario'] != "" ? " AND (reg_tb_usuario.ativo='" . $_POST['statusUsuario'] . "')" : "";
$sqlUsuario = "SELECT reg_tb_usuario.* FROM reg_tb_usuario WHERE (id_usuario!='119') $whereStatus ORDER BY nome_usuario ASC";
$stmUsuario  = $rsConexao->prepare($sqlUsuario);
$stmUsuario->execute();
$totalRegistrosUsuario = $stmUsuario->rowCount();
$rsUsuario      = $stmUsuario->fetchAll(PDO::FETCH_ASSOC);
if ($totalRegistrosUsuario > 0) {

  foreach ($rsUsuario as $fieldUsuario) {
    $idUsuario          = $fieldUsuario['id_usuario'];
    $nomeUsuario        = mb_strtoupper($fieldUsuario['nome_usuario']);
    $emailUsuario        = $fieldUsuario['email_usuario'];
    $telefoneCelular    = $fieldUsuario['fonecelular'];
    $cpfUsuario          = $fieldUsuario['cpf_usuario'];
    $usuarioAtivo       = $fieldUsuario['ativo'];
    $eGestor             = $fieldUsuario['e_gestor'] == "S" ? "SIM" : "NÃO";
    $autorizaCNS        = $fieldUsuario['autoriza_cns'] == "S" ? "SIM" : "NÃO";
    $autorizaCNSEditar  = $fieldUsuario['autoriza_cns'];

    $conteudoEdicao     = $idUsuario . "#" . $nomeUsuario . "#" . $cpfUsuario . "#" . $emailUsuario . "#" . $telefoneCelular . "#" . $fieldUsuario['e_gestor'] . "#" . $autorizaCNSEditar;
    $linkEditarUsuario    = '"editarDados(' . "'cadastro_usuario','$conteudoEdicao')" . '"';
    $linkAlteraSenha      = '"gerarNovaSenha(' . "'nova_senha_aleatoria','$idUsuario','$nomeUsuario')" . '"';

    if ($usuarioAtivo == 0) {
      $corLinha = "style='background-color:#f3b5b5 !important; color: #700000'";
      $linkBloqueioUsuario  = '"bloquearDesbloquearUsuario(' . "'$idUsuario','1')" . '"';
      $botaoBloqueioUsuario  = "<i class='icofont icofont-tick-boxed nova_fonte_blue' title='Ativar usuário.'  onclick=$linkBloqueioUsuario></i>";
    } else {
      $corLinha  = "";
      $linkBloqueioUsuario  = '"bloquearDesbloquearUsuario(' . "'$idUsuario','0')" . '"';
      $botaoBloqueioUsuario  = "<i class='icofont icofont-not-allowed nova_fonte_delete' title='Bloquear usuário.'  onclick=$linkBloqueioUsuario></i>";
    }

    $linkPerfilAcesso  = '"window.open(' . "'usuario_perfilacesso_atribuir?idu=$idUsuario')" . '"';

    # -- relacionar perfis do usuario --#
    $sqlPerfil = "SELECT reg_tb_usuario_perfil.id_usuarioperfil,
    reg_rl_usuario_perfil.id_usuario_perfil,
		reg_rl_usuario_perfil.descricao_usuario_perfil,
		tb_estabelecimento.codigoestabelecimento_cnes,
		tb_estabelecimento.nfantasia_estabelecimento,
		reg_tb_usuario_perfil.ibge_municipioacesso
		FROM reg_tb_usuario_perfil
		INNER JOIN reg_rl_usuario_perfil ON (reg_tb_usuario_perfil.id_pefilusuario = reg_rl_usuario_perfil.id_usuario_perfil)
		INNER JOIN reg_tb_usuario ON (reg_tb_usuario_perfil.id_usuario = reg_tb_usuario.id_usuario)
		INNER JOIN tb_estabelecimento ON (tb_estabelecimento.codigoestabelecimento_cnes = reg_tb_usuario_perfil.id_unidadeassociada)
		WHERE reg_tb_usuario.id_usuario='$idUsuario'
		ORDER BY descricao_usuario_perfil
		LIMIT 4";

    $stmPerfil  = $rsConexao->prepare($sqlPerfil);
    $stmPerfil->execute();
    if ($stmPerfil->rowCount() > 0) {
      $rsPerfil      = $stmPerfil->fetchAll(PDO::FETCH_ASSOC);
      $contarPerfil = 0;
      $nomeUnidade  = "";
      $nomePerfil    = "";
      foreach ($rsPerfil as $fieldPerfil) {
        $contarPerfil  = $contarPerfil + 1;
        $nomeUnidade  = mb_strtoupper($fieldPerfil['nfantasia_estabelecimento']);

        if ($contarPerfil <= 3) {
          if ($nomePerfil == "") {
            $nomePerfil  = "&bull; " . mb_strtoupper($fieldPerfil['descricao_usuario_perfil']) . " - (Unidade: $nomeUnidade)";
          } else {
            $nomePerfil  = "$nomePerfil<br>&bull; " . mb_strtoupper($fieldPerfil['descricao_usuario_perfil']) . " - (Unidade: $nomeUnidade)";
          }
        } else {
          $nomePerfil = "$nomePerfil<br><b><font style='color: #118b01'>Tem mais...</font></b>";
        }
      }
      $corFontPerfil = "#027fbe";
    } else {
      $nomePerfil  = "&bull; USUÁRIO SEM PERFIL ASSOCIADO";
      $corFontPerfil = "#830202";
    }
    # --------------- #    
    echo "<tr $corLinha>
			<td style='text-align:center'>																			
				<i class='icofont icofont-id-card nova_fonte' title='Atribuir perfil de acesso.'  onclick=$linkPerfilAcesso style='font-size:16pt; color:#006DB3'></i>
				<i class='ft-edit nova_fonte' title='Editar dados do usuário.'  onclick=$linkEditarUsuario></i>
				<i class='icofont icofont-key nova_fonte' style='color:#147500' title='Gerar uma nova senha.'  onclick=$linkAlteraSenha></i>
				$botaoBloqueioUsuario
			</td>
      <td>
			  <b>$nomeUsuario</b>
				<div style='width:auto; padding:2px; color:$corFontPerfil'>
				  $nomePerfil
				</div>
			</td>
			<td style='text-align:center' class='cpf-inputmask'>$cpfUsuario</td>
			<td>$emailUsuario</td>
			<td style='text-align:center'>$telefoneCelular</td>
			<td style='text-align:center'>$eGestor</td>
			<td style='text-align:center'>$autorizaCNS</td>
		</tr>";
  }
}
